Google Cloud
probe SQL

# describe_instance

Displays configuration and metadata about a Cloud SQL instance

Run it now
View details

Type | probe
Module | chaosgcp.sql.probes
Name | describe_instance
Return | mapping

Usage

JSON

    {
      "name": "describe-instance",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.sql.probes",
        "func": "describe_instance",
        "arguments": {
          "instance_id": ""
        }
      }
    }

YAML

    name: describe-instance
    provider:
      arguments:
        instance_id: ""
      func: describe_instance
      module: chaosgcp.sql.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
instance_id | string |  | Yes | Instance ID | Cloud SQL instance identifier

Information such as instance name, IP address, region, the CA certificate and configuration settings will be displayed.

See https://cloud.google.com/sql/docs/postgres/admin-api/v1beta4/instances/get

Signature

    def describe_instance(
            instance_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Google Cloud
  action SQL

  ## `export_data`

  Exports data from a Cloud SQL instance to a Cloud Storage bucket
- Google Cloud
  action SQL

  ## `trigger_failover`

  Causes a high-availability Cloud SQL instance to failover
- Google Cloud
  action SQL

  ## `import_data`

  Imports data into a Cloud SQL instance from a SQL dump or CSV file in Cloud Storage